## EvDocumentLayers

EvDocumentLayers

## Synopsis

    #define             EV_DOCUMENT_LAYERS_IFACE            (k)
    #define             EV_IS_DOCUMENT_LAYERS_IFACE         (k)
                        EvDocumentLayers;
                        EvDocumentLayersIface;
    gboolean            ev_document_layers_has_layers       (EvDocumentLayers *document_layers);
    GtkTreeModel *      ev_document_layers_get_layers       (EvDocumentLayers *document_layers);
    void                ev_document_layers_show_layer       (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);
    void                ev_document_layers_hide_layer       (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);
    gboolean            ev_document_layers_layer_is_visible (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);

## Object Hierarchy

      GInterface
       +----EvDocumentLayers

## Description

## Details

### EV_DOCUMENT_LAYERS_IFACE()

    #define EV_DOCUMENT_LAYERS_IFACE(k)	   (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_LAYERS, EvDocumentLayersIface))

`k` : |

### EV_IS_DOCUMENT_LAYERS_IFACE()

    #define EV_IS_DOCUMENT_LAYERS_IFACE(k)	   (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_LAYERS))

`k` : |

### EvDocumentLayers

    typedef struct _EvDocumentLayers EvDocumentLayers;

### EvDocumentLayersIface

    typedef struct {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gboolean      (* has_layers)       (EvDocumentLayers *document_layers);
    	GtkTreeModel *(* get_layers)       (EvDocumentLayers *document_layers);

    	void          (* show_layer)       (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    	void          (* hide_layer)       (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    	gboolean      (* layer_is_visible) (EvDocumentLayers *document_layers,
    					    EvLayer          *layer);
    } EvDocumentLayersIface;

### ev_document_layers_has_layers ()

    gboolean            ev_document_layers_has_layers       (EvDocumentLayers *document_layers);

`document_layers` : |
Returns : |

### ev_document_layers_get_layers ()

    GtkTreeModel *      ev_document_layers_get_layers       (EvDocumentLayers *document_layers);

`document_layers` : |
Returns : |

### ev_document_layers_show_layer ()

    void                ev_document_layers_show_layer       (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);

`document_layers` : |
`layer` : |

### ev_document_layers_hide_layer ()

    void                ev_document_layers_hide_layer       (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);

`document_layers` : |
`layer` : |

### ev_document_layers_layer_is_visible ()

    gboolean            ev_document_layers_layer_is_visible (EvDocumentLayers *document_layers,
                                                             EvLayer *layer);

`document_layers` : |
`layer` : |
Returns : |